Subject: Re: bug#46590: 27.1.91; abnormal whitespace-mode behavior

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Feb 2021 17:54:07 +0200

> Date: Tue, 23 Feb 2021 15:05:47 +0100
> From: Frédéric Baldit <[email-masked]>
> Cc: [email-masked]
> 
> I just began reading whitespace.el, in particular the use of the
> display table, which seems to be crucial here. But I'm just
> learning emacs (and emacs lisp), so there could be a long way
> before I can truly  (and deeply) understand whitespace.el code and see
> how to fix the bug.

I don't think this can be fixed without a complete redesign how a TAB
is displayed under this mode.  display-tables simply cannot deal with
such situations.  But I didn't think about this too long, so maybe I'm
missing something.

> I asked myself: should I contact the maintainer of whitespace.el
> (Vinicius Jose Latorre) to get some help?

I don't know, but what do you have to lose?